Method: organizations.locations.auditReports.generate

Registers audit report generation requests. This method returns the operation identifier that you can use to track the report generation progress.

HTTP request

POST https://auditmanager.googleapis.com/v1/{scope=organizations/*/locations/*}/auditReports:generate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
scope

string

Required. Organization, folder, or project that the audit applies to, in one of the following formats:

  • projects/{project}/locations/{location}
  • folders/{folder}/locations/{location}
  • organizations/{organization}/locations/{location}

Request body

The request body contains data with the following structure:

JSON representation
{
  "complianceStandard": string,
  "reportFormat": enum (AuditReportFormat),
  "complianceFramework": string,

  // Union field destination can be only one of the following:
  "gcsUri": string
  // End of list of possible types for union field destination.
}
Fields
complianceStandard
(deprecated)

string

Optional. Deprecated. Compliance standard for the audit report.

Use the complianceFramework field instead.

reportFormat

enum (AuditReportFormat)

Required. Format for the audit report.

complianceFramework

string

Required. The framework that's used for the audit report. For example, NIST_800_53.

Union field destination. Options for the report destination location. destination can be only one of the following:
gcsUri

string

URL for the Cloud Storage bucket where the report and evidence is uploaded. You must select a bucket that was provided during the enrollment process.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the scope resource:

  • auditmanager.auditReports.generate

For more information, see the IAM documentation.